org.icefaces.ace.component.row

## Class RowBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.row.RowBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IRow
  Direct Known Subclasses:
    Row

      public abstract class RowBase
      extends javax.faces.component.UIComponentBase
      implements IRow

  Renders a set of ace:column components as one row of the header or footer segment of an ace:dataTable via an ace:columnGroup.

  For more information, see the Row Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `RowBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCondition()` Return the value of the `condition` property.
    `java.lang.String` | `getFamily()`
    `java.lang.Object` | `getGroupBy()` Return the value of the `groupBy` property.
    `java.lang.Integer` | `getInterval()` Return the value of the `interval` property.
    `java.lang.String` | `getPos()` Return the value of the `pos` property.
    `Predicate` | `getPredicate()` Return the value of the `predicate` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setCondition(java.lang.String condition)` Set the value of the `condition` property.
    `void` | `setGroupBy(java.lang.Object groupBy)` Set the value of the `groupBy` property.
    `void` | `setInterval(java.lang.Integer interval)` Set the value of the `interval` property.
    `void` | `setPos(java.lang.String pos)` Set the value of the `pos` property.
    `void` | `setPredicate(Predicate predicate)` Set the value of the `predicate` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

  - ### Constructor Detail

    - #### RowBase

          public RowBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setCondition

          public void setCondition(java.lang.String condition)

      Set the value of the `condition` property.

      Contents: Defines a mode of operation that determines under what type of condition ths row will be rendered. Options include 'interval', 'predicate' and 'group'.

      Specified by:
        `setCondition` in interface `IRow`

    - #### getCondition

          public java.lang.String getCondition()

      Return the value of the `condition` property.

      Contents: Defines a mode of operation that determines under what type of condition ths row will be rendered. Options include 'interval', 'predicate' and 'group'.

      Specified by:
        `getCondition` in interface `IRow`

    - #### setGroupBy

          public void setGroupBy(java.lang.Object groupBy)

      Set the value of the `groupBy` property.

      Contents: Defines an expression used to determine when a group change is occurring in 'group' conditional mode.

      Specified by:
        `setGroupBy` in interface `IRow`

    - #### getGroupBy

          public java.lang.Object getGroupBy()

      Return the value of the `groupBy` property.

      Contents: Defines an expression used to determine when a group change is occurring in 'group' conditional mode.

      Specified by:
        `getGroupBy` in interface `IRow`

    - #### setInterval

          public void setInterval(java.lang.Integer interval)

      Set the value of the `interval` property.

      Contents: Defines an integer that determines how regularly this row will render in interval mode.

      Specified by:
        `setInterval` in interface `IRow`

    - #### getInterval

          public java.lang.Integer getInterval()

      Return the value of the `interval` property.

      Contents: Defines an integer that determines how regularly this row will render in interval mode.

      Specified by:
        `getInterval` in interface `IRow`

    - #### setPos

          public void setPos(java.lang.String pos)

      Set the value of the `pos` property.

      Contents: Defines whether a conditional row is intended to render 'before' or 'after' a group change in 'group' conditional mode. If in predicate or interval mode, this setting defines if the conditional row renders before or after the data model position that caused the predicate to evaluate true.

      Specified by:
        `setPos` in interface `IRow`

    - #### getPos

          public java.lang.String getPos()

      Return the value of the `pos` property.

      Contents: Defines whether a conditional row is intended to render 'before' or 'after' a group change in 'group' conditional mode. If in predicate or interval mode, this setting defines if the conditional row renders before or after the data model position that caused the predicate to evaluate true. Default = 'after'.

      Specified by:
        `getPos` in interface `IRow`

    - #### setPredicate

          public void setPredicate(Predicate predicate)

      Set the value of the `predicate` property.

      Contents: When using 'predicate' conditional mode, defines a function taking the current data model index as an argument, and returning a value determining whether or not to render the conditional row for this index.

      Specified by:
        `setPredicate` in interface `IRow`

    - #### getPredicate

          public Predicate getPredicate()

      Return the value of the `predicate` property.

      Contents: When using 'predicate' conditional mode, defines a function taking the current data model index as an argument, and returning a value determining whether or not to render the conditional row for this index.

      Specified by:
        `getPredicate` in interface `IRow`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Define inline style rules for this row. Only applicable to conditional rows.

      Specified by:
        `setStyle` in interface `IRow`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Define inline style rules for this row. Only applicable to conditional rows.

      Specified by:
        `getStyle` in interface `IRow`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Define style classes for this row. Only applicable to conditional rows.

      Specified by:
        `setStyleClass` in interface `IRow`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Define style classes for this row. Only applicable to conditional rows.

      Specified by:
        `getStyleClass` in interface `IRow`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.